@import url('https://fonts.googleapis.com/css2?family=Azeret+Mono:ital,wght@0,100..900;1,100..900&display=swap');

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

html {
  scroll-behavior: smooth;
}

body {
  font-family: 'Azeret Mono', monospace;
  color: rgb(13, 19, 33);
}

p {
  font-size: 16px;
  font-weight: 400;
  line-height: 26px;
  margin: 16px 0px;
}

.heading-secondary {
  font-size: 32px;
  font-weight: 800;
  line-height: 37px;
  margin-bottom: 24px;
  text-align: center;
}

.container {
  max-width: 1140px;
  margin: 0 auto;
}

/* Nav section */
.nav {
  padding: 35px 150px;
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.logo {
  font-size: 28px;
  font-weight: 600;
  color: rgb(13, 19, 33);
  text-decoration: none;
}

.btn-download {
  border: 1px solid rgb(13, 19, 33);
  padding: 17px 24px;
  border-radius: 8px;
  font-size: 20px;
  font-weight: 600;
  background-color: transparent;
  cursor: pointer;
}

/* Banner section */
.section-banner {
  background: url(assets/Hero-bg.png);
  background-repeat: no-repeat;
  background-position: center;
  background-size: cover;
  height: 100vh;
  padding: 26px 0;
}

.section-banner-container {
  max-width: 998px;
  height: 100%;
  text-align: center;
  margin: 0 auto;
}

.heading-primary {
  font-size: 48px;
  font-weight: 800;
  line-height: 68px;
  margin-top: 32px;
  margin-bottom: 24px;
}

.btn-contact {
  text-decoration: none;
  display: inline-block;
  font-size: 20px;
  font-weight: 600;
  color: #fff;
  background-color: rgb(13, 19, 33);
  padding: 21px 24px;
  border-radius: 8px;
  margin-top: 32px;
}

/* section career */
.section-career {
  padding: 80px 97px;
  margin: 74px auto 0 auto;
  text-align: center;
  background-color: rgba(13, 19, 33, 0.02);
  border-radius: 16px;
}

.section-career-column {
  padding: 48px;
  background-color: #fff;
  display: flex;
  gap: 48px;
  justify-content: space-between;
  align-items: center;
  margin-top: 48px;
  text-align: left;
  border-radius: 16px;
}

.heading-tertiary {
  color: rgba(13, 19, 33, 0.7);
  font-size: 24px;
  font-weight: 700;
  line-height: 36px;
  margin-bottom: 16px;
}

.btn-learn-more {
  font-size: 20px;
  font-weight: 600;
  line-height: 23px;
  border: 1px solid rgb(13, 19, 33);
  padding: 12px 20px;
  margin-top: 32px;
  background-color: #fff;
  opacity: 0.7;
  cursor: pointer;
}

/* Section inspiration */
.section-inspiration {
  text-align: center;
  margin-top: 88px;
}

.section-inspiration-video-container {
  padding: 32px;
  border: 1px solid rgba(13, 19, 33, 0.2);
  border-radius: 16px;
  margin-top: 48px;
}

.section-inspiration-video {
  border-radius: 8px;
}

/* Section Target */
.section-target {
  margin-top: 150px;
  text-align: center;
}

.section-target-technologies {
  display: flex;
  justify-content: space-between;
  gap: 24px;
  margin-top: 48px;
}

.technologies-card {
  flex: 1;
  padding: 40px;
  border-radius: 16px;
  text-align: left;
}

.technologies-card img {
  margin-bottom: 24px;
}

.technologies-card-html {
  background-color: rgba(255, 76, 30, 0.05);
}

.technologies-card-css {
  background: rgba(0, 76, 232, 0.05);
}

.technologies-card-js {
  background: rgba(255, 223, 0, 0.05);
}

.link-learn-more {
  color: rgb(13, 19, 33);
  display: inline-block;
  font-size: 16px;
  font-weight: 700;
  line-height: 19px;
  margin-top: 24px;
}

/* Section Next Target */
.section-next-target {
  margin-top: 110px;
  text-align: center;
}

.section-next-target-description {
  margin-bottom: 48px;
}

.section-next-target-card {
  display: flex;
  gap: 24px;
  align-items: center;
  text-align: left;
  padding: 40px;
  border: 1px solid rgba(13, 19, 33, 0.15);
  border-radius: 16px;
  margin-bottom: 24px;
}

.section-next-target-card-img {
  min-width: 150px;
  text-align: center;
}

/* Section Support */
.section-support {
  margin-top: 40px;
  padding: 64px 48px;
  background-image: linear-gradient(0deg, rgba(0, 0, 0, 0.5), rgba(0, 0, 0, 0.5)), url(assets/handshake.jpg);
  background-position: center;
  background-repeat: no-repeat;
  background-size: cover;
  border-radius: 16px;
  color: #fff;
  text-align: center;
}

.section-support-form {
  width: 70%;
  margin: 24px auto 0 auto;
  display: flex;
  gap: 16px;
}

.section-support-form input {
  border: 1px solid rgba(13, 19, 33, 0.15);
  border-radius: 8px;
  padding: 20px;
}

.section-support-form input[type='text'] {
  flex-grow: 1;
  font-size: 18px;
}

.section-support-form input[type='text']::placeholder {
  font-size: 18px;
  font-weight: 500;
  line-height: 19px;
}

.section-support-form input[type='submit'] {
  font-size: 20px;
  font-weight: 600;
  line-height: 23px;
  padding: 20px 30px;
  background-color: #fff;
  cursor: pointer;
}

/* Footer */
.footer {
  margin-top: 80px;
  border-radius: 16px;
  background: rgba(13, 19, 33, 0.03);
  padding: 32px 0;
}

.footer .container {
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.footer-text {
  font-size: 20px;
  font-weight: 600;
  line-height: 23px;
}

.footer ul {
  list-style: none;
  display: flex;
  gap: 24px;
}
